Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000486 [Piwigo] users & groups minor always 2006.07.23 18:16 2008.01.29 00:22
Reporter Ducktale View Status public  
Assigned To
Priority normal Resolution fixed Platform PC
Status closed   OS Windows XP
Projection none   OS Version SP2
ETA none Fixed in Version 1.6 branch Product Version 1.6.0
  Target Version Product Build
Summary 0000486: Noms d'utilisateurs sous la forme d'une adresse e-mail provoquent des erreurs lors de la connexion.
Description Lorsqu'un utilisateur se crée un login sous la forme d'une adresse e-mail, ce login est accepté. Par contre, lorsque cet utilisateur veut se connecter, sur la page d'accueil apparaissent une douzaine de ligns d'erreur, ce qui est plutôt gênant.
Steps To Reproduce Créer un utilisateur dont le login est une adresse e-mail.
Se connecter.
Additional Information
Tags No tags attached.
browser Mozilla
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0000491assignedrub Check data input 

-  Notes
(0001273)
Ducktale (reporter)
2006.07.23 18:19

Ce n'est pas un bug Notification, mais un bug Utilisateur.
Toutes mes excuses.
(0001274)
nikrou (developer)
2006.07.24 11:09
edited on: 2006.07.24 11:09

Peux-tu nous donner plus de détails sur la façon de reproduire le bug ? Je viens de créer un utilisateur de login "titi@titi.org" et je n'ai aucun problème pour me connecter.

(0001283)
Ducktale (reporter)
2006.07.24 16:59

Aller sur mon site : www.2006staff.com
Créer ce login machinchose@gmail.com
Mot de passe test, et adresse mail machinchose@gmail.com
Ca le fait sur plusieurs de mes ordinateurs ...
(0001284)
mathiasm (manager)
2006.07.24 17:30

J'ai un paquet d'erreurs, mais je suis logué:
SELECT cat_id
  FROM phpwebgallery_user_access
  WHERE user_id =
;
[mysql error 1064] You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 3

Warning: mysql_fetch_array(): supplied argument is not a valid MySQL result resource in /mnt/101/free.fr/2/7/djplatinumfix/campmonroe/gallery/include/functions.inc.php on line 692
SELECT cat_id
  FROM phpwebgallery_user_group AS ug INNER JOIN phpwebgallery_group_access AS ga
    ON ug.group_id = ga.group_id
  WHERE ug.user_id =
;
[mysql error 1064] You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 4

Warning: mysql_fetch_array(): supplied argument is not a valid MySQL result resource in /mnt/101/free.fr/2/7/djplatinumfix/campmonroe/gallery/include/functions.inc.php on line 692
DELETE FROM phpwebgallery_user_cache
  WHERE user_id =
;
[mysql error 1064] You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 2
INSERT INTO phpwebgallery_user_cache
  (user_id,need_update,forbidden_categories,nb_total_images)
  VALUES
  (,'false','2,4,5,7,8,9,10,11,12,13,14,17,18',134)
;
[mysql error 1064] You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ''false','2,4,5,7,8,9,10,11,12,13,14,17,18',134)' at line 4

Warning: Cannot modify header information - headers already sent by (output started at /mnt/101/free.fr/2/7/djplatinumfix/campmonroe/gallery/include/functions.inc.php:675) in /mnt/101/free.fr/2/7/djplatinumfix/campmonroe/gallery/include/page_header.php on line 67
(0001285)
nikrou (developer)
2006.07.24 17:37

J'ai crée un compte: bidou@gmail.com et je me suis connecté sans problème. Je ne comprends pas.
(0001286)
Ducktale (reporter)
2006.07.24 17:41
edited on: 2006.07.24 17:43

C'est peut être dû à la longueur du login ... ?

Un pseudo super long provoque le même problème ...

(0001292)
mathiasm (manager)
2006.07.24 22:37

euh, regarde le login que j'ai créé, il était assez long.
Mais je n'avais pas d'id.
Il n'a peut-être pas pu me créer mon compte puisqu'il devait bien faire plus de 20 caractères, la longueur du champ dans la table.
Peux-tu regarder si tu trouves un compte en freesurf.fr ou avec mathiasm dedans, dans les derniers?
(0001294)
nikrou (developer)
2006.07.25 09:27
edited on: 2006.07.25 09:34

En fait le champ utilisateur (login) est limité à 20 caractères et s'il est plus long il est tronqué.
Mais lorsqu'on essaie de se connecter avec le login non tronqué il ne le trouve pas, d'où l'erreur.
On va allonger la longueur du champ. Etant donné que c'est un vachar cela ne posera pas de problème (seule la place réellement occupée est utilisée).

Corrigé dans le tronc [Subversion] r1495
Reporté dans la branche 1.6 [Subversion] r1496

(0001296)
rub (developer)
2006.07.25 13:53

Je ne penses pas que que modifier la taille du champs soit réellement ce qu'il faut faire même si bien évidemment il faut le faire car 20 caractères c'est un peu juste comme longueur.

1)Pb technique
En fait, pour le problème peut importe la taille du champ, ce qu'il faut c'est controler que la donnée n'est trop grande pour le champs de la table et afficher un message d'erreur. => Ca c'est le pb technique
Une autre solution (ou bien un complément) de fixer le nombre de caractères saisisables dans la zone de saisie.

2) Pb fonctionnel
La taille trop petite, c'est un pb fonctionnel.

(
3)
D'ailleurs, je sais pas si c'est fait, mais la taille devrait vérifier pour chaque zone de saisie (soit en limitant le nombre de caractère de la saisie (a), soit un affichage un message d'erreur (b) soit en tronquant volontairement (c), soit en combinant ((a) et (b)) ou ((a) et (c))
(0001303)
nikrou (developer)
2006.07.26 09:38

Ok je comprends.
(0001305)
mathiasm (manager)
2006.07.26 10:19

20 caractères pour un login c'est pas mal, déjà!
pour une adresse mail c'est court, mais le champ dédié est en varchar(255).

Pour moi, pas de problème fonctionnel.
(0001306)
rub (developer)
2006.07.26 11:26

> 20 caractères pour un login c'est pas mal, déjà!
> pour une adresse mail c'est court, mais le champ dédié est en varchar(255).
Et pour ceux qui veulent gérer des logins avec des emails, ca se fait souvent.
20 c'est peu, 100 c'est trop à mon avis.
(0001307)
mathiasm (manager)
2006.07.26 15:16

punBB est à 200
mantis est à 32
wordpress est à 60
(0002077)
mathiasm (manager)
2008.01.29 00:22

Longueur passée à 100

- Issue History
Date Modified Username Field Change
2006.07.23 18:16 Ducktale New Issue
2006.07.23 18:16 Ducktale browser => Mozilla
2006.07.23 18:16 Ducktale Web server => Apache 1.3.x
2006.07.23 18:19 Ducktale Note Added: 0001273
2006.07.23 20:43 nikrou Category notification => user or group management
2006.07.24 11:07 nikrou Reproducibility always => unable to reproduce
2006.07.24 11:08 nikrou Reproducibility unable to reproduce => always
2006.07.24 11:09 nikrou Note Added: 0001274
2006.07.24 11:09 nikrou Note Edited: 0001274
2006.07.24 16:59 Ducktale Note Added: 0001283
2006.07.24 17:30 mathiasm Note Added: 0001284
2006.07.24 17:37 nikrou Note Added: 0001285
2006.07.24 17:41 Ducktale Note Added: 0001286
2006.07.24 17:43 Ducktale Note Edited: 0001286
2006.07.24 22:37 mathiasm Note Added: 0001292
2006.07.25 09:27 nikrou Note Added: 0001294
2006.07.25 09:31 nikrou Status new => assigned
2006.07.25 09:31 nikrou Assigned To => nikrou
2006.07.25 09:34 nikrou Note Edited: 0001294
2006.07.25 09:35 nikrou Status assigned => resolved
2006.07.25 09:35 nikrou Fixed in Version => 1.6 branch
2006.07.25 09:35 nikrou Resolution open => fixed
2006.07.25 13:53 rub Status resolved => feedback
2006.07.25 13:53 rub Resolution fixed => reopened
2006.07.25 13:53 rub Note Added: 0001296
2006.07.25 13:54 rub Issue Monitored: rub
2006.07.26 09:37 nikrou Assigned To nikrou =>
2006.07.26 09:38 nikrou Note Added: 0001303
2006.07.26 10:19 mathiasm Note Added: 0001305
2006.07.26 11:26 rub Note Added: 0001306
2006.07.26 15:16 mathiasm Note Added: 0001307
2006.07.27 18:14 rub Relationship added related to 0000491
2008.01.29 00:22 mathiasm Status feedback => closed
2008.01.29 00:22 mathiasm Note Added: 0002077
2008.01.29 00:22 mathiasm Resolution reopened => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker